package com.fs.company.mapper;

import java.util.List;
import com.fs.company.domain.CompanyVoiceApi;
import org.apache.ibatis.annotations.Select;

/**
 * 呼叫接口Mapper接口
 * 
 * @author fs
 * @date 2021-10-04
 */
public interface CompanyVoiceApiMapper 
{
    /**
     * 查询呼叫接口
     * 
     * @param apiId 呼叫接口ID
     * @return 呼叫接口
     */
    public CompanyVoiceApi selectCompanyVoiceApiById(Long apiId);

    /**
     * 查询呼叫接口列表
     * 
     * @param companyVoiceApi 呼叫接口
     * @return 呼叫接口集合
     */
    public List<CompanyVoiceApi> selectCompanyVoiceApiList(CompanyVoiceApi companyVoiceApi);

    /**
     * 新增呼叫接口
     * 
     * @param companyVoiceApi 呼叫接口
     * @return 结果
     */
    public int insertCompanyVoiceApi(CompanyVoiceApi companyVoiceApi);

    /**
     * 修改呼叫接口
     * 
     * @param companyVoiceApi 呼叫接口
     * @return 结果
     */
    public int updateCompanyVoiceApi(CompanyVoiceApi companyVoiceApi);

    /**
     * 删除呼叫接口
     * 
     * @param apiId 呼叫接口ID
     * @return 结果
     */
    public int deleteCompanyVoiceApiById(Long apiId);

    /**
     * 批量删除呼叫接口
     * 
     * @param apiIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanyVoiceApiByIds(Long[] apiIds);
    @Select("select count(1) from company_voice_api")
    Integer selectCompanyVoiceApiCount();
}
